# Hyperbolic space

The hyperbolic space can be represented in three different ways. In the following the common functions are collected.
Then, specific methods for each of the representations, especially conversions between those.

A function in this general section uses vectors interpreted as if in the [hyperboloid model](@ref),
and other representations usually just convert to this representation to use these general functions.

```@autodocs
Modules = [Manifolds]
Pages = ["manifolds/Hyperbolic.jl"]
Order = [:type, :function]
```

## hyperboloid model

```@autodocs
Modules = [Manifolds]
Pages = ["manifolds/HyperbolicHyperboloid.jl"]
Order = [:type, :function]
```

## Poincaré ball model

```@autodocs
Modules = [Manifolds]
Pages = ["manifolds/HyperbolicPoincareBall.jl"]
Order = [:type, :function]
```

## Poincaré half space model

```@autodocs
Modules = [Manifolds]
Pages = ["manifolds/HyperbolicPoincareHalfspace.jl"]
Order = [:type, :function]
```
